
import 'activity_type.dart';
import 'aidlab.dart';
import 'sync_state.dart';


abstract class AidlabSynchronizationDelegate {

  void syncStateDidChange(Aidlab aidlab, SyncState state);

  void didReceivePastECG(Aidlab aidlab, int timestamp, List<double> values);

  void didReceivePastRespiration(Aidlab aidlab, int timestamp, List<double> values);

  void didReceivePastSkinTemperature(Aidlab aidlab, int timestamp, double value);

  void didReceivePastHeartRate(Aidlab aidlab, int timestamp, List<int> hrv, int heartRate);

  void didReceiveUnsynchronizedSize(Aidlab aidlab, int unsynchronizedSize);

  void didReceivePastRespirationRate(Aidlab aidlab, int timestamp, int value);

  void didReceivePastActivity(Aidlab aidlab, int timestamp, ActivityType activity);

  void didReceivePastSteps(Aidlab aidlab, int timestamp, int value);

}